Appearance
Retrieve details of a specific comment.
work_item_id
The unique identifier of the work item.
resource_id
The unique identifier of the resource.
project_id
The unique identifier of the project.
workspace_slug
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
https://app.plane.so/my-team/projects/
my-team
projects.work_items.comments:read
curl -X GET \ "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/comments/resource-id-uuid/" \ -H "X-API-Key: $PLANE_API_KEY" \ # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
import requests response = requests.get( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/comments/resource-id-uuid/", headers={"X-API-Key": "your-api-key"} ) print(response.json())
const response = await fetch( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/comments/resource-id-uuid/", { method: "GET", headers: { "X-API-Key": "your-api-key", }, } ); const data = await response.json();
{ "id": "550e8400-e29b-41d4-a716-446655440000", "comment_html": "<p>Example content</p>", "comment_json": { "type": "doc", "content": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This issue has been resolved by implementing OAuth 2.0 flow." } ] } ] }, "actor": { "id": "550e8400-e29b-41d4-a716-446655440000", "first_name": "John", "last_name": "Doe", "display_name": "Example Name", "avatar": "https://example.com/assets/example-image.png" }, "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z" }
Retrieve a work item comment ​
Retrieve details of a specific comment.
Path Parameters ​
work_item_id:requiredstringThe unique identifier of the work item.
resource_id:requiredstringThe unique identifier of the resource.
project_id:requiredstringThe unique identifier of the project.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug ismy-team.Scopes ​
projects.work_items.comments:read